---
title: "Come on in! Drupal is moving to GitLab"
author: Rebecca Dodd
author_gitlab: rebecca
author_twitter: gitlab
categories: open source
image_title: '/images/blogimages/drupal-cover.png'
description: "Free and open source platform Drupal is moving to GitLab to accelerate developer velocity and attract new talent and contributors to the project."
tags: open source, community
twitter_text: "Come on in! @drupal is #movingtogitlab"
ee_cta: false
postType: oss-program
---

We never get tired of hearing about [open source projects joining the GitLab fold](/blog/2018/05/31/welcome-gnome-to-gitlab/). So, welcome to GitLab, [Drupal](https://www.drupal.org/)! In light of this news, we chatted to Director of Engineering for the Drupal Association, [Timothy Lehnen](https://drupal.org/u/hestenet), about the project and why they're moving to GitLab.

## Q&A

- [What is Drupal?](#what-is-drupal)
- [How is Drupal used?](#how-is-drupal-used-how-does-it-help-people)
- [How many contributors work on the project?](#how-many-contributors-work-on-the-project)
- [Why might someone use Drupal over other content management tools?](#why-might-someone-use-drupal-over-other-content-management-tools)
- [Why are you migrating to GitLab?](#why-are-you-migrating-to-gitlab)
- [How do you expect this move to beneficial to Drupal?](#how-do-you-expect-this-move-to-beneficial-to-drupal)
- [How can people get involved in the project?](#how-can-people-get-involved-in-the-project)

### What is Drupal?

Drupal is a platform for building ambitious digital experiences. It was one of the first open source content management systems released more than 17 years ago, and is now used to power content-driven experiences including: the web, mobile, augmented reality, in-flight entertainment, medical devices, and more. Drupal is also the leading platform for building the open web. In a time when the dangers of walled-garden content publishers are becoming more and more clear, Drupal is a powerful tool to keep control in the hands of creators.

<%= partial "includes/blog/content-newsletter-cta", locals: { variant: "a" } %>

### How is Drupal used? How does it help people?

Drupal powers important platforms for engagement all over the world. In the governmental space you can find Drupal powering systems like [NASA.gov](https://www.nasa.gov/), the Australian [GovCMS](https://www.govcms.gov.au/), and the European Union. In the commerce space, Drupal is used to power traditional ecommerce websites, but also the holistic point-of-sale and accounting systems of the billion dollar businesses like ZKungFu, the largest directly operated food chain in China. Drupal is also the backbone of healthcare and higher education systems across the globe. Drupal can even be found behind the scenes running internal systems for the world's largest technology companies.

Finally, Drupal empowers individuals and small teams to rapidly respond to current events, pitching in to give back to their communities. For example, UC Davis just launched their [Article 26 Backpack](https://www.drupal.org/blog/building-digital-backpacks-for-syrian-refugees) program for Syrian refugees, powered by Drupal.

### How many contributors work on the project?

In the past year 111,783 people have contributed to Drupal in some form on Drupal.org. Over the course of the last 17 years, many hundreds of thousands of people have contributed in some way to the Drupal project.

### Why might someone use Drupal over other content management tools?

Drupal is a tool for building many kinds of internet-connected applications (not just websites), and is a powerful tool whenever you want to deliver rich, meaningful experiences. Drupal's not the best choice for brochure-ware sites, but that doesn't mean it's only limited to the enterprise. In any situation where you are managing large volumes of data, personalizing content for your end-users, or need a content hub to be consumed by a variety of interfaces and end-points, Drupal is an excellent choice.

>In any situation where you are managing large volumes of data, personalizing content for your end-users, or need a content hub to be consumed by a variety of interfaces and end-points, Drupal is an excellent choice

Even when your needs are less ambitious, Drupal has a rich library of modules and third-party integrations that provide the building blocks for powerful platforms.

### Why are you migrating to GitLab?

The Drupal project began before [Git was invented](/topics/20-years-open-source/). The first version control system that the project used was CVS, before the project migrated to Git in 2012. Over the course of almost two decades the Drupal project has developed our own contribution practices and developer tools, and while many of those tools and practices are leading examples in the open source world, others have fallen behind. For example, the Drupal project still handles code contributions through a patch workflow rather than through a pull/merge request workflow that has become the standard for collaborative development.

When we began the search for a new partner to help us modernize our developer tooling, we set the following goals:

- Adopt a developer workflow that will be familiar to the millions of developers outside our community
- Preserve those unique elements of how we collaborate that have made the Drupal project so successful:
    - Many-to-one collaboration: that is to say, many developers collaborating on a single solution to a problem
    - Maintainer approval workflow
    - Picking up on longstanding issues where other collaborators left off
    - Contribution credit
- If possible, leverage an expert partner who will help keeping our tooling up to date as open source collaboration tools continue to evolve

During our search, GitLab was emerging as a powerful new player in the code collaboration market, and of all the teams we spoke to, GitLab's leadership demonstrated the greatest commitment to working with us to find a solution that would work for the Drupal project. The combination of that commitment to collaboration and the powerful featureset that GitLab continues to improve at a rapid pace is what helped us make our ultimate decision.

### How do you expect this move to beneficial to Drupal?

Moving our code collaboration tools to GitLab will help Drupal to accelerate developer velocity, and attract new talent and contributors to the project.

By giving Drupal contributors access to a merge request workflow, inline editing tools, code review, and other features of the GitLab platform they can spend less time on the administrivia and more time building Drupal.

>By giving Drupal contributors access to a merge request workflow, inline editing tools, code review, and other features of the GitLab platform they can spend less time on the administrivia and more time building Drupal

Similarly, by adopting a toolchain that is much more familiar to the up-and-coming generation of developers, we can lower the barriers to entry for new contributors to join our community. For more information about the Drupal project's journey towards selecting GitLab, check out our [blog series on Drupal.org](https://www.drupal.org/drupalorg/blog/developer-tools-initiative-part-5-gitlab-partnership).

### How can people get involved in the project?

The Drupal community has a comprehensive [Getting Involved Guide](https://www.drupal.org/getting-involved-guide) that can help individuals find their place in the Drupal community. There are also meet ups and conferences around the world that are a great way to start your Drupal journey. In particular, DrupalCon will be coming to [Seattle from April 8-12 2019](https://events.drupal.org/seattle2019).

The Drupal project's motto has always been "Come for the code, stay for the community" and seventeen years later, that's a sentiment we still believe in.
